"""{{ project_name }} URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.conf.urls import url
from django.contrib import admin
from django.urls import path, re_path
from rest_framework.routers import DefaultRouter

from app_be.views.rest_api import TestApiClass, ImageEndpoint, HealthEndpoint

urlpatterns = [
    path('admin/', admin.site.urls),
    url(r'^test/', TestApiClass.test_api),
    url(r'^image/get/all$', ImageEndpoint.image_api_get_all),
    url(r'^image/get/(?P<identifier>[\w-]+)$', ImageEndpoint.image_api_get_single),
    url(r'^image/delete/all$', ImageEndpoint.image_api_delete_all),
    url(r'^image/delete/(?P<identifier>[\w-]+)$', ImageEndpoint.image_api_delete),
    url(r'^image/post$', ImageEndpoint.image_api_post),
    url(r'^image/update/(?P<identifier>[\w-]+)$', ImageEndpoint.image_api_update),
    url(r'^check', HealthEndpoint.check_systems)
]

router = DefaultRouter()

urlpatterns.extend(router.urls)
